Skip to content

getLocation

READ

Get location.

POST /api/v1/resources/getLocation
curl -X POST '<your-host>/api/v1/resources/getLocation' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "locationId": "string"
  }'
Response
{
  "addressLine1": "string",
  "addressLine2": "string",
  "city": "string",
  "code": "string",
  "companyId": "string",
  "countryCode": "string",
  "createdAt": "string",
  "createdBy": "string",
  "customFields": "…",
  "id": "string",
  "latitude": 0,
  "longitude": 0,
  "name": "string",
  "postalCode": "string",
  "requiresStaffing": true,
  "stateProvince": "string",
  "storageCapacityGallons": 0,
  "tags": [
    "string"
  ],
  "timezone": "string",
  "updatedAt": "string",
  "updatedBy": "string",
  "usableStorageGallons": 0
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "locationId": {
      "type": "string"
    }
  },
  "required": [
    "locationId"
  ]
}